> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v1/integration/php-sdk/php-cli.md).

# Command Line Interface

## Command Line Interface

### Command Line Usage

The CLI tool is provided mainly for quick tests and debugging.

#### General help

```shell
./mindee generated --help
```

> Note: Due to the limited-nature of most PHP CLI tools, the help sections aren't customized for each command.

#### Example parse command for Off-the-Shelf document

```shell
./mindee invoice -k xxxxxxx /path/to/invoice.pdf
```

#### Works with environment variables

```shell
export MINDEE_API_KEY=xxxxxx
./mindee invoice /path/to/invoice.pdf
```

#### Example parse command for a generated document (DocTI)

```shell
./mindee generated -a pikachu -k xxxxxxx pokemon_card /path/to/card.jpg -A
```

#### Example async parse command

```shell
./mindee invoice-splitter path/to/the/invoice.pdf -A
```

> Note: the `-A` can be omitted on products which do not support synchronous mode.

```shell
./mindee invoice-splitter path/to/the/invoice.pdf -A
```

#### \[DEPRECATED] Example parse command for a custom document (API Builder)

```shell
./mindee custom -a pikachu -k xxxxxxx pokemon_card /path/to/card.jpg
```

#### Full parsed output

```shell
./mindee invoice -k xxxxxxx /path/to/invoice.pdf -o raw
```

#### Running the script through php

A helper script allows you to start the command directly:

```shell
php bin/cli.php
```

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v1/integration/php-sdk/php-cli.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
